#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './kcmlircbase.ui'
**
** Created: 2012-06-19T18:36:34
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "kcmlircbase.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qtabwidget.h>
#include <qlabel.h>
#include <qsplitter.h>
#include <qheader.h>
#include <klistview.h>
#include <kpushbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "./kcmlircbase.ui.h"

/*
 *  Constructs a KCMLircBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
KCMLircBase::KCMLircBase( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "KCMLircBase" );
    KCMLircBaseLayout = new QGridLayout( this, 1, 1, 0, 6, "KCMLircBaseLayout"); 

    tabWidget2 = new QTabWidget( this, "tabWidget2" );
    tabWidget2->setMargin( 0 );

    tab = new QWidget( tabWidget2, "tab" );
    tabLayout = new QVBoxLayout( tab, 11, 6, "tabLayout"); 

    theMainLabel = new QLabel( tab, "theMainLabel" );
    theMainLabel->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)0, 0, 0, theMainLabel->sizePolicy().hasHeightForWidth() ) );
    theMainLabel->setPaletteForegroundColor( QColor( 138, 0, 0 ) );
    QFont theMainLabel_font(  theMainLabel->font() );
    theMainLabel_font.setBold( TRUE );
    theMainLabel->setFont( theMainLabel_font ); 
    theMainLabel->setFrameShape( QLabel::NoFrame );
    theMainLabel->setMargin( 1 );
    theMainLabel->setTqalignment( int( QLabel::WordBreak | QLabel::AlignTop ) );
    tabLayout->addWidget( theMainLabel );

    splitter4 = new QSplitter( tab, "splitter4" );
    splitter4->setOrientation( QSplitter::Horizontal );

    QWidget* privateLayoutWidget = new QWidget( splitter4, "modeLayout" );
    modeLayout = new QVBoxLayout( privateLayoutWidget, 0, 6, "modeLayout"); 

    theRemotesLabel = new QLabel( privateLayoutWidget, "theRemotesLabel" );
    modeLayout->addWidget( theRemotesLabel );

    theModes = new KListView( privateLayoutWidget, "theModes" );
    theModes->addColumn( tr2i18n( "New Column" ) );
    theModes->addColumn( tr2i18n( "New Column" ) );
    theModes->setAcceptDrops( TRUE );
    theModes->setRootIsDecorated( TRUE );
    theModes->setItemsRenameable( TRUE );
    modeLayout->addWidget( theModes );

    modeButtonLayout = new QHBoxLayout( 0, 0, 6, "modeButtonLayout"); 
    spacer6 = new QSpacerItem( 0, 0, QSizePolicy::Expanding, QSizePolicy::Minimum );
    modeButtonLayout->addItem( spacer6 );

    theAddMode = new KPushButton( privateLayoutWidget, "theAddMode" );
    theAddMode->setEnabled( FALSE );
    modeButtonLayout->addWidget( theAddMode );

    theEditMode = new KPushButton( privateLayoutWidget, "theEditMode" );
    theEditMode->setEnabled( FALSE );
    modeButtonLayout->addWidget( theEditMode );

    theRemoveMode = new KPushButton( privateLayoutWidget, "theRemoveMode" );
    theRemoveMode->setEnabled( FALSE );
    modeButtonLayout->addWidget( theRemoveMode );
    modeLayout->addLayout( modeButtonLayout );

    QWidget* privateLayoutWidget_2 = new QWidget( splitter4, "tqlayout9" );
    tqlayout9 = new QVBoxLayout( privateLayoutWidget_2, 0, 6, "tqlayout9"); 

    theModeLabel = new QLabel( privateLayoutWidget_2, "theModeLabel" );
    tqlayout9->addWidget( theModeLabel );

    theActions = new KListView( privateLayoutWidget_2, "theActions" );
    theActions->addColumn( tr2i18n( "Button" ) );
    theActions->addColumn( tr2i18n( "Program" ) );
    theActions->addColumn( tr2i18n( "Function" ) );
    theActions->addColumn( tr2i18n( "Options" ) );
    theActions->addColumn( tr2i18n( "Notes" ) );
    theActions->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)7, 2, 0, theActions->sizePolicy().hasHeightForWidth() ) );
    theActions->setDragAutoScroll( TRUE );
    theActions->setProperty( "selectionMode", "FileManager" );
    theActions->setDragEnabled( TRUE );
    tqlayout9->addWidget( theActions );

    tqlayout7 = new QHBoxLayout( 0, 0, 6, "tqlayout7"); 
    spacer1 = new QSpacerItem( 0, 0, QSizePolicy::Expanding, QSizePolicy::Minimum );
    tqlayout7->addItem( spacer1 );

    tqlayout6 = new QGridLayout( 0, 1, 1, 0, 6, "tqlayout6"); 

    theAddActions = new KPushButton( privateLayoutWidget_2, "theAddActions" );
    theAddActions->setEnabled( FALSE );

    tqlayout6->addMultiCellWidget( theAddActions, 0, 0, 0, 2 );

    theAddAction = new KPushButton( privateLayoutWidget_2, "theAddAction" );
    theAddAction->setEnabled( FALSE );

    tqlayout6->addWidget( theAddAction, 1, 0 );

    theEditAction = new QPushButton( privateLayoutWidget_2, "theEditAction" );
    theEditAction->setEnabled( FALSE );

    tqlayout6->addWidget( theEditAction, 1, 1 );

    theRemoveAction = new KPushButton( privateLayoutWidget_2, "theRemoveAction" );
    theRemoveAction->setEnabled( FALSE );

    tqlayout6->addWidget( theRemoveAction, 1, 2 );
    tqlayout7->addLayout( tqlayout6 );
    tqlayout9->addLayout( tqlayout7 );
    tabLayout->addWidget( splitter4 );
    tabWidget2->insertTab( tab, QString::fromLatin1("") );

    tab_2 = new QWidget( tabWidget2, "tab_2" );
    tabLayout_2 = new QGridLayout( tab_2, 1, 1, 11, 6, "tabLayout_2"); 

    splitter5 = new QSplitter( tab_2, "splitter5" );
    splitter5->setOrientation( QSplitter::Horizontal );

    theExtensions = new KListView( splitter5, "theExtensions" );
    theExtensions->addColumn( tr2i18n( "Name" ) );
    theExtensions->setRootIsDecorated( TRUE );
    theExtensions->setFullWidth( TRUE );

    QWidget* privateLayoutWidget_3 = new QWidget( splitter5, "tqlayout9" );
    tqlayout9_2 = new QVBoxLayout( privateLayoutWidget_3, 0, 6, "tqlayout9_2"); 

    theInformationLabel = new QLabel( privateLayoutWidget_3, "theInformationLabel" );
    tqlayout9_2->addWidget( theInformationLabel );

    theInformation = new KListView( privateLayoutWidget_3, "theInformation" );
    theInformation->addColumn( tr2i18n( "Name" ) );
    theInformation->addColumn( tr2i18n( "Information" ) );
    theInformation->setFullWidth( TRUE );
    tqlayout9_2->addWidget( theInformation );

    tabLayout_2->addWidget( splitter5, 0, 0 );
    tabWidget2->insertTab( tab_2, QString::fromLatin1("") );

    KCMLircBaseLayout->addWidget( tabWidget2, 0, 0 );
    languageChange();
    resize( QSize(469, 326).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
    init();
}

/*
 *  Destroys the object and frees any allocated resources
 */
KCMLircBase::~KCMLircBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KCMLircBase::languageChange()
{
    setCaption( tr2i18n( "Linux Infrared Remote Control" ) );
    theMainLabel->setText( tr2i18n( "There are currently no remote controls available. You must first set up LIRC correctly; see www.lirc.org for more information." ) );
    theRemotesLabel->setText( tr2i18n( "Remote controls and modes:" ) );
    theModes->header()->setLabel( 0, tr2i18n( "New Column" ) );
    theModes->header()->setLabel( 1, tr2i18n( "New Column" ) );
    theAddMode->setText( tr2i18n( "&Add..." ) );
    theEditMode->setText( tr2i18n( "&Edit..." ) );
    theRemoveMode->setText( tr2i18n( "&Remove" ) );
    theModeLabel->setText( QString::null );
    theActions->header()->setLabel( 0, tr2i18n( "Button" ) );
    theActions->header()->setLabel( 1, tr2i18n( "Program" ) );
    theActions->header()->setLabel( 2, tr2i18n( "Function" ) );
    theActions->header()->setLabel( 3, tr2i18n( "Options" ) );
    theActions->header()->setLabel( 4, tr2i18n( "Notes" ) );
    theAddActions->setText( tr2i18n( "Auto-Populate..." ) );
    theAddActions->setAccel( QKeySequence( QString::null ) );
    theAddAction->setText( tr2i18n( "A&dd..." ) );
    theEditAction->setText( tr2i18n( "Ed&it..." ) );
    theRemoveAction->setText( tr2i18n( "Re&move" ) );
    tabWidget2->changeTab( tab, tr2i18n( "Controller Functions" ) );
    theExtensions->header()->setLabel( 0, tr2i18n( "Name" ) );
    theInformationLabel->setText( QString::null );
    theInformation->header()->setLabel( 0, tr2i18n( "Name" ) );
    theInformation->header()->setLabel( 1, tr2i18n( "Information" ) );
    tabWidget2->changeTab( tab_2, tr2i18n( "Loaded Extensions" ) );
}

#include "kcmlircbase.moc"
