#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './newmode.ui'
**
** Created: 2012-06-19T18:36:32
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "newmode.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qheader.h>
#include <klistview.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qframe.h>
#include <kpushbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "./newmode.ui.h"

/*
 *  Constructs a NewMode as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
NewMode::NewMode( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "NewMode" );
    NewModeLayout = new QVBoxLayout( this, 11, 6, "NewModeLayout"); 

    theRemotes = new KListView( this, "theRemotes" );
    theRemotes->addColumn( tr2i18n( "Remote Controls" ) );
    theRemotes->setFullWidth( TRUE );
    NewModeLayout->addWidget( theRemotes );

    tqlayout11 = new QHBoxLayout( 0, 0, 6, "tqlayout11"); 

    textLabel5 = new QLabel( this, "textLabel5" );
    tqlayout11->addWidget( textLabel5 );

    theName = new QLineEdit( this, "theName" );
    tqlayout11->addWidget( theName );
    NewModeLayout->addLayout( tqlayout11 );

    line2 = new QFrame( this, "line2" );
    line2->setFrameShape( QFrame::HLine );
    line2->setFrameShadow( QFrame::Sunken );
    line2->setFrameShape( QFrame::HLine );
    NewModeLayout->addWidget( line2 );

    tqlayout12 = new QHBoxLayout( 0, 0, 6, "tqlayout12"); 
    spacer7 = new QSpacerItem( 0, 0, QSizePolicy::Expanding, QSizePolicy::Minimum );
    tqlayout12->addItem( spacer7 );

    kPushButton6 = new KPushButton( this, "kPushButton6" );
    kPushButton6->setEnabled( FALSE );
    tqlayout12->addWidget( kPushButton6 );

    kPushButton5 = new KPushButton( this, "kPushButton5" );
    tqlayout12->addWidget( kPushButton5 );
    NewModeLayout->addLayout( tqlayout12 );
    languageChange();
    resize( QSize(309, 341).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( kPushButton6, SIGNAL( clicked() ), this, SLOT( accept() ) );
    connect( kPushButton5, SIGNAL( clicked() ), this, SLOT( reject() ) );
    connect( theName, SIGNAL( textChanged(const QString&) ), this, SLOT( slotTextChanged(const QString&) ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
NewMode::~NewMode()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void NewMode::languageChange()
{
    setCaption( tr2i18n( "New Mode" ) );
    theRemotes->header()->setLabel( 0, tr2i18n( "Remote Controls" ) );
    textLabel5->setText( tr2i18n( "Name:" ) );
    kPushButton6->setText( tr2i18n( "&OK" ) );
    kPushButton5->setText( tr2i18n( "&Cancel" ) );
}

#include "newmode.moc"
